Subject: Re: [hybi] [tsv-area] Fwd: I-D Action:draft-hixie-thewebsocketprotocol-35.txt

From: Ian Hickson <[email-masked]>
Date: Fri, 4 Sep 2009 05:52:04 +0000 (UTC)

On Mon, 17 Aug 2009 [email-masked] wrote:
>
> I don't see the reason for Connection: upgrade / Upgrade: WebSocket as 
> the handshake mechanism.
> 
> Surely a Content-* header (say: Content-Upgrade: WebSocket) is better, 
> as it will be explicitly dropped and 501'd by proxies or by sources not 
> supporting web sockets? (per section 9.6 of RFC2616.) That way, you know 
> when the handshake has failed...

You know when the handshake has failed in the current system too. I don't 
understand why we wouldn't use the explicit HTTP mechanisms for this.

-- 
Ian Hickson               U+1047E                )\._.,--....,'``.    fL
http://ln.hixie.ch/       U+263A                /,   _.. \   _\  ;`._ ,.
Things that are impossible just take longer.   `._.-(,_..'--(,_..'`-.;.'

---

From: Jamie Lokier <[email-masked]>
Date: Sat, 5 Sep 2009 14:31:16 +0100

[email-masked] wrote:
> 
>    I don't see the reason for Connection: upgrade / Upgrade: WebSocket
>    as the handshake mechanism.
>    as
>    it will be explicitly dropped and 501'd by proxies or by sources
>    not supporting web sockets? (per section 9.6 of RFC2616.) That
>    way, you know when the handshake has failed...

What part of RFC2616 says Content-* headers must be dropped by proxies
which don't support them?  It certainly isn't section 9.6 ("PUT"), nor
any other section I'm aware of.

-- Jamie